apply plugin: 'com.android.application'

android {
    compileSdk 33
    buildToolsVersion '33.0.0'
    defaultConfig {
        applicationId "com.rehome.meetingbook"
        minSdkVersion 24
        targetSdkVersion 33
        versionCode 1
        versionName "1.0.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        //每个应用拥有不同的authorities，防止相同的在同一个手机上无法同时安装
        resValue "string", "authorities", applicationId
        multiDexEnabled true
        ndk {
            abiFilters 'armeabi-v7a','arm64-v8a'
        }
    }
    buildFeatures {
        viewBinding = true
        buildConfig = true
    }
    signingConfigs {
        release {
            keyAlias 'key0'
            storeFile file('../key/keystore1')
            storePassword 'abc123123'
            keyPassword 'abc123123'
            v1SigningEnabled true   //是否开启V1签名
            v2SigningEnabled true   //是否开启V2签名
        }
    }
    /*  keypassword:abc123123   alias key0*/
    buildTypes {
        debug {
            minifyEnabled false
            buildConfigField "boolean", "LOG_ERROR", "true"
        }
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField("boolean","LOG_ERROR","true");
        }
        release {
            lintOptions {
                checkReleaseBuilds false
                abortOnError false
            }
            minifyEnabled false //开启代码混淆，防止反编译查看源代码
            zipAlignEnabled true // 对齐zip
            debuggable false // 是否debug
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "boolean", "LOG_ERROR", "false"
            signingConfig signingConfigs.release // 打包签名信息
            //修改生成的apk名字
            android.applicationVariants.all { variant ->
                variant.outputs.all {
                    outputFileName = "sbcksyy.apk"
                }
            };
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
    namespace 'com.rehome.meetingbook'
    compileOptions {
        targetCompatibility JavaVersion.VERSION_17
        sourceCompatibility JavaVersion.VERSION_17
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation 'androidx.appcompat:appcompat:1.4.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.3'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
    implementation 'com.zhy:autolayout:1.4.5'

// 网络请求-------------------------------------------------------
    implementation 'com.yolanda.nohttp:nohttp:1.0.5'
    implementation 'com.squareup.okhttp3:logging-interceptor:4.9.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.hjq:http:9.0'
    implementation 'com.squareup.okhttp3:okhttp:4.9.0'
    implementation 'com.hjq.gson:factory:2.2'
    implementation 'cn.hutool:hutool-all:5.8.5'
// ----------------------------------------------------------------
    implementation 'com.hjq:toast:8.8'
    implementation 'org.litepal.android:core:1.5.1'
    implementation 'com.orhanobut:logger:2.2.0'
    implementation 'com.yanzhenjie:permission:2.0.3'
    implementation 'com.github.PhilJay:MPAndroidChart:v3.1.0'
    implementation 'de.hdodenhof:circleimageview:3.1.0'
    implementation 'com.github.chrisbanes.photoview:library:1.2.4'
    implementation 'me.leolin:ShortcutBadger:1.1.22@aar'
    implementation 'cn.jzvd:jiaozivideoplayer:7.2.3'
    implementation 'com.google.zxing:core:3.4.1'
    implementation 'com.github.barteksc:android-pdf-viewer:2.8.2'
    implementation 'com.github.chrisbanes:PhotoView:2.1.3'
    implementation 'com.davemorrissey.labs:subsampling-scale-image-view:3.10.0'
    implementation 'com.haozhang.libary:android-slanted-textview:1.2'
    implementation 'com.github.huangyanbin:SmartTable:2.2.0'
    implementation 'com.google.android.material:material:1.5.0'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.2.1'
    implementation 'com.github.xuexiangjys:XUI:1.1.5'
    implementation 'com.haibin:calendarview:3.6.3'
    implementation 'com.github.baoyachi:StepView:1.9'
    implementation 'com.azhon:appupdateX:2.8.0'
    implementation 'com.king.zxing:zxing-lite:1.1.6-androidx'
    implementation 'com.tencent.bugly:crashreport:3.2.1'
    implementation 'com.github.xuexiangjys.SmartRefreshLayout:refresh-header:1.1.5'
    implementation 'com.github.xuexiangjys.SmartRefreshLayout:refresh-layout:1.1.5'
    implementation 'com.just.agentweb:agentweb:4.1.4'
    implementation 'com.lcodecorex:tkrefreshlayout:1.0.7'
    implementation 'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.30'
    implementation 'com.github.LuckSiege.PictureSelector:picture_library:v2.5.9'
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    //日历
    implementation 'com.haibin:calendarview:3.7.1'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'

}